// somebar - dwl bar
// See LICENSE file for copyright and license details.

#pragma once
#include "common.hpp"

constexpr bool topbar = true;

constexpr int paddingX = 10;
constexpr int paddingY = 3;

// See https://docs.gtk.org/Pango/type_func.FontDescription.from_string.html
constexpr const char *font = "Sans 12";

constexpr ColorScheme colorInactive = {Color(0xbb, 0xbb, 0xbb), Color(0x22, 0x22, 0x22)};
constexpr ColorScheme colorActive = {Color(0xee, 0xee, 0xee), Color(0x00, 0x55, 0x77)};
constexpr const char *termcmd[] = {"foot", nullptr};

constexpr Button buttons[] = {
    { ClkTagBar,       BTN_LEFT,   view,       {0} },
    { ClkTagBar,       BTN_RIGHT,  tag,        {0} },
    { ClkTagBar,       BTN_MIDDLE, toggletag,  {0} },
    { ClkLayoutSymbol, BTN_LEFT,   setlayout,  {.ui = 0} },
    { ClkLayoutSymbol, BTN_RIGHT,  setlayout,  {.ui = 2} },
    { ClkStatusText,   BTN_RIGHT,  spawn,      {.v = termcmd} },
};
